IndexError while classifieing a pricture with the trained model!

I got an IndexError while classifieing a pricture offline with the downloaded and trained dataset!

Using TensorFlow backend.
outputs will be stored at ‘./output/’

aborting due to exception… Please check input file format!
Traceback (most recent call last):
File “test.py”, line 234, in test_model
os.path.dirname(input_file), test_raw, data_mapping)
File “test.py”, line 105, in process_test_input
test_data[i][j] = img
IndexError: index 0 is out of bounds for axis 0 with size 0

Hi you are getting this error because the test file is not able to read the input image.
Please check the input file and the location of the input image.

Regards
Rajat

Hi I am using an image from the trained dataset.
The test.py file can locate the test image.
The image doesn’t fit into the model.

Now I am a little bit further, but get another error:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "test.py", line 256, in test_model
    res = customPredict(test_data, config, modelFile)
  File "test.py", line 214, in customPredict
    mod = load_model(modelFile)
  File "C:\Users\Florian\AppData\Local\Programs\Python\Python37\lib\site-packages\keras\engine\saving.py", line 419, in load_model
    model = _deserialize_model(f, custom_objects, compile)
  File "C:\Users\Florian\AppData\Local\Programs\Python\Python37\lib\site-packages\keras\engine\saving.py", line 287, in _deserialize_model
    K.batch_set_value(weight_value_tuples)
  File "C:\Users\Florian\AppData\Local\Programs\Python\Python37\lib\site-packages\keras\backend\tensorflow_backend.py", line 2465, in batch_set_value
    assign_op = x.assign(assign_placeholder)
  File "C:\Users\Florian\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\ops\variables.py", line 1952, in assign
    name=name)
  File "C:\Users\Florian\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\ops\state_ops.py", line 227, in assign
    validate_shape=validate_shape)
  File "C:\Users\Florian\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\ops\gen_state_ops.py", line 69, in assign
    use_locking=use_locking, name=name)
  File "C:\Users\Florian\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\framework\op_def_library.py", line 788, in _apply_op_helper
    op_def=op_def)
  File "C:\Users\Florian\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\util\deprecation.py", line 507, in new_func
    return func(*args, **kwargs)
  File "C:\Users\Florian\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\framework\ops.py", line 3616, in create_op
    op_def=op_def)
  File "C:\Users\Florian\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\framework\ops.py", line 2027, in __init__
    control_input_ops)
  File "C:\Users\Florian\AppData\Local\Programs\Python\Python37\lib\site-packages\tensorflow\python\framework\ops.py", line 1867, in _create_c_op
    raise ValueError(str(e))
ValueError: Shapes must be equal rank, but are 1 and 0 for 'Assign' (op: 'Assign') with input shapes: [1], [].